function plot_raw_summary(sum_file_name)
% a routine to make basic plots based on data derived from MMP_raw_summary.m


eval(['load ',sum_file_name]);

j=find(espeed>0);
k=find(espeed<0);

% assign the proper sort of slash, for PC & Unix
arch=computer;
if (strcmp(arch,'PCWIN')) 
   slsh='\';
else
   slsh='/';
end

locs=findstr(sum_file_name,slsh);
infile=sum_file_name(locs(end)+1:end);

% let it handle underscores in_file_name more cleanly
   loc=findstr('_',infile);
    if (~isnan(loc))
      if (length(loc)==1)
       infile=strcat(infile(1:loc-1), '\',infile(loc:end));
      elseif (length(loc)==2)
       infile=strcat(infile(1:loc(1)-1), '\',infile(loc(1):loc(2)-1), '\',infile(loc(2):end));
      elseif (length(loc)==3)
       infile=strcat(infile(1:loc(1)-1), '\',infile(loc(1):loc(2)-1), '\',infile(loc(2):loc(3)-1), '\',infile(loc(3):end));
      else
       ;
      end
    end
figure
clf
plot(files(j),epmin(j));
hold on
plot(files(j),epmax(j));
axis ij
grid
zoom on
plot(files(k),epmin(k),'k');
plot(files(k),epmax(k),'k');
xlabel('Profile number')
ylabel('Profile minimum and maximum pressure  dbars');
title(infile)
set(gcf,'Tag','sumplot')


figure
clf
plot(files(j),avevolt(j));
hold on
plot(files(k),avevolt(k),'k');
grid on
zoom on
xlabel('Profile number')
ylabel('Profile-averaged battery Voltage ')
title(infile);
set(gcf,'Tag','sumplot')

figure
plot(files(j),avecur(j));
hold on
grid
zoom on
plot(files(k),avecur(k),'k');
xlabel('Profile number')
ylabel('Profile-averaged motor current  mA ')
title(infile);
set(gcf,'Tag','sumplot')

figure
clf
plot(files(j),espeed(j));
hold on
grid
zoom on
plot(files(k),espeed(k),'k');
xlabel('Profile number')
ylabel('Profile-averaged profile speed  (dP/dt) dbars/s ')
title(infile);
set(gcf,'Tag','sumplot')

